Bug 1715713 - [abrt] ibus: __poll(): ibus-daemon killed by SIGABRT
Summary: [abrt] ibus: __poll(): ibus-daemon killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: glib2
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3762bf7397dfcdc0d227eab9d3c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-31 03:42 UTC by robert fairbrother
Modified: 2019-11-27 22:41 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 22:41:38 UTC


Attachments (Terms of Use)
File: backtrace (11.01 KB, text/plain)
2019-05-31 03:42 UTC, robert fairbrother
no flags Details
File: cgroup (345 bytes, text/plain)
2019-05-31 03:42 UTC, robert fairbrother
no flags Details
File: core_backtrace (5.21 KB, text/plain)
2019-05-31 03:42 UTC, robert fairbrother
no flags Details
File: cpuinfo (937 bytes, text/plain)
2019-05-31 03:42 UTC, robert fairbrother
no flags Details
File: dso_list (2.19 KB, text/plain)
2019-05-31 03:42 UTC, robert fairbrother
no flags Details
File: environ (3.87 KB, text/plain)
2019-05-31 03:42 UTC, robert fairbrother
no flags Details
File: limits (1.29 KB, text/plain)
2019-05-31 03:42 UTC, robert fairbrother
no flags Details
File: maps (14.68 KB, text/plain)
2019-05-31 03:42 UTC, robert fairbrother
no flags Details
File: mountinfo (4.04 KB, text/plain)
2019-05-31 03:42 UTC, robert fairbrother
no flags Details
File: open_fds (1.83 KB, text/plain)
2019-05-31 03:42 UTC, robert fairbrother
no flags Details
File: proc_pid_status (1.31 KB, text/plain)
2019-05-31 03:42 UTC, robert fairbrother
no flags Details

Description robert fairbrother 2019-05-31 03:42:15 UTC
Description of problem:
happened at the same time as this https://bugzilla.redhat.com/show_bug.cgi?id=1567645

Version-Release number of selected component:
ibus-1.5.19-16.fc29

Additional info:
reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        ibus-daemon --xim --panel disable
crash_function: __poll
executable:     /usr/bin/ibus-daemon
journald_cursor: s=f82b3db13754497e9310ee2fd027e3bb;i=2b63;b=50f26a9fd7d644b2abe679f36a10238a;m=48602e00;t=58a24e988af8a;x=128fed0d5928463a
kernel:         5.0.17-200.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (3 frames)
 #0 __poll at ../sysdeps/unix/sysv/linux/poll.c:29
 #1 g_main_context_poll at gmain.c:4221
 #4 bus_server_run at server.c:195

Comment 1 robert fairbrother 2019-05-31 03:42:17 UTC
Created attachment 1575503 [details]
File: backtrace

Comment 2 robert fairbrother 2019-05-31 03:42:18 UTC
Created attachment 1575504 [details]
File: cgroup

Comment 3 robert fairbrother 2019-05-31 03:42:19 UTC
Created attachment 1575505 [details]
File: core_backtrace

Comment 4 robert fairbrother 2019-05-31 03:42:20 UTC
Created attachment 1575506 [details]
File: cpuinfo

Comment 5 robert fairbrother 2019-05-31 03:42:21 UTC
Created attachment 1575507 [details]
File: dso_list

Comment 6 robert fairbrother 2019-05-31 03:42:22 UTC
Created attachment 1575508 [details]
File: environ

Comment 7 robert fairbrother 2019-05-31 03:42:22 UTC
Created attachment 1575509 [details]
File: limits

Comment 8 robert fairbrother 2019-05-31 03:42:24 UTC
Created attachment 1575510 [details]
File: maps

Comment 9 robert fairbrother 2019-05-31 03:42:25 UTC
Created attachment 1575511 [details]
File: mountinfo

Comment 10 robert fairbrother 2019-05-31 03:42:26 UTC
Created attachment 1575512 [details]
File: open_fds

Comment 11 robert fairbrother 2019-05-31 03:42:27 UTC
Created attachment 1575513 [details]
File: proc_pid_status

Comment 12 robert fairbrother 2019-05-31 03:54:25 UTC
Similar problem has been detected:

happened same time as https://bugzilla.redhat.com/show_bug.cgi?id=1567645

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/libexec/ibus-portal
crash_function: __poll
executable:     /usr/libexec/ibus-portal
journald_cursor: s=f82b3db13754497e9310ee2fd027e3bb;i=2b5d;b=50f26a9fd7d644b2abe679f36a10238a;m=4853d5af;t=58a24e97c5739;x=c9eb354ced7f9a91
kernel:         5.0.17-200.fc29.x86_64
package:        ibus-1.5.19-16.fc29
reason:         ibus-portal killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 robert fairbrother 2019-05-31 03:57:54 UTC
Similar problem has been detected:

https://bugzilla.redhat.com/show_bug.cgi?id=1567645

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/libexec/ibus-dconf
crash_function: __poll
executable:     /usr/libexec/ibus-dconf
journald_cursor: s=f82b3db13754497e9310ee2fd027e3bb;i=2b61;b=50f26a9fd7d644b2abe679f36a10238a;m=485818ea;t=58a24e9809a74;x=2060da35a101e46a
kernel:         5.0.17-200.fc29.x86_64
package:        ibus-1.5.19-16.fc29
reason:         ibus-dconf killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 fujiwara 2019-05-31 07:41:35 UTC
(In reply to robert fairbrother from comment #12)
> Similar problem has been detected:

(In reply to robert fairbrother from comment #13)
> Similar problem has been detected:

They should be different problems.

Comment 15 fujiwara 2019-05-31 07:43:46 UTC
(In reply to robert fairbrother from comment #1)
> Created attachment 1575503 [details]
> File: backtrace

I don't see any problems in ibus from ths backstace.
Forwarding to glib2.

Comment 16 Ben Cotton 2019-10-31 19:12:33 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 17 Ben Cotton 2019-11-27 22:41:38 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.